<?php namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class localizaciones extends Sximo  {
	
	protected $table = 'localizacion';
	protected $primaryKey = 'LocalizacionID';

	public function __construct() {
		parent::__construct();
		
		$id = Auth::id();
		
		$dbcon = 0;
		$sql = \DB::table('tb_users')->where('id',$id)->get();
		if(count($sql)){
			$row = $sql[0];
			$dbcon =$row->dbcon;
			 $this->setConnection($dbcon);
		}
		
		
		
	}

	public static function querySelect(  ){
		
		return "  SELECT localizacion.* FROM localizacion  ";
	}	

	public static function queryWhere(  ){
		
		return "  WHERE localizacion.LocalizacionID IS NOT NULL ";
	}
	
	public static function queryGroup(){
		return "  ";
	}
	

}
